if (!Promise.any){
    Promise.any = function any(promises: PromiseLike<any>[]) {
        if (!Array.isArray(promises) || promises.length === 0){
            return Promise.reject('any is empty')
        }
        return Promise.all(
            /** @ts-ignore **/
            promises.map(promise =>
                promise.then(val => {
                    throw val;
                }, reason => reason),
            ),
        ).then(reasons => {
            throw reasons;
        }, firstResolved => firstResolved);
    };
}