const isExist = (obj: any) => {
    if (obj === undefined || obj === null){
        return false;
    }
    if (Array.isArray(obj)){
        return obj.length > 0;
    }
    return false;
};

const fromEntries = (arr) => {
    return arr.reduce(function(acc, curr) {
        acc[curr[0]] = curr[1];
        return acc;
    }, {});
};

export {
    isExist,
    fromEntries,
}