import VueConstructor from 'vue';
declare module 'vue/types/vue' {
    interface VueConstructor {
        $jbzLogicConfig: any;
    }
}

declare global {
    type Vue = VueConstructor;
    interface Window {
        $jbzLogicConfig: any;
        Vue: VueConstructor;
    }
}

interface IHomeViewMethods{
    /**
     * 加载下一页 cinema 数据
     */
    loadMoreCinema()
    /**
     * 重新加载数据
     * @param indexList
     */
    reloadData(indexList: boolean | number[]);

    /**
     * 网络请求监听类
     * @param context
     * @param data
     */
    networkListener(context, data);
}

export function generateLogic(viewName, opt)
